### Name: zooreg
### Title: Regular zoo Series
### Aliases: zooreg frequency.zooreg frequency.zoo deltat.zooreg deltat.zoo
###   cycle.zooreg cycle.zoo as.zooreg as.zooreg.default as.zooreg.ts
###   as.ts.zooreg as.zoo.zooreg as.zooreg.zoo index<-.zooreg time<-.zooreg
###   lag.zooreg
### Keywords: ts

### ** Examples

## equivalent specifications of a quarterly series
## starting in the second quarter of 1959.
zooreg(1:10, frequency = 4, start = c(1959, 2))
as.zoo(ts(1:10, frequency = 4, start = c(1959, 2)))
zoo(1:10, seq(1959.25, 1961.5, by = 0.25), frequency = 4)

## use yearqtr class for indexing the same series
z <- zoo(1:10, yearqtr(seq(1959.25, 1961.5, by = 0.25)), frequency = 4)
z
z[-(3:4)]

## create a regular series with a "Date" index
zooreg(1:5, start = Sys.Date())
## or with "yearmon" index
zooreg(1:5, end = yearmon(2000))

## standard methods available for regular series
frequency(z)
deltat(z)
cycle(z)
cycle(z[-(3:4)])



